---
title: onMSVideoFormatChanged
slug: Web/API/HTMLVideoElement/onMSVideoFormatChanged
tags:
  - onMsVideoFormatChanged
---
<p id="Summary">{{APIRef("DOM")}}</p>

<p>{{Non-standard_header()}}</p>

<p><code><strong>onMSVideoFormatChanged</strong></code> is an event which occurs when the video format changes.</p>

<p>This proprietary property is specific to Internet Explorer and Microsoft Edge.</p>

<h2 id="Syntax">Syntax</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Value</th>
   <th scope="col">Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>Event Property</td>
   <td>object.onMSVideoFormatChanged = handler;</td>
  </tr>
  <tr>
   <td>attachEvent Method</td>
   <td>object.attachEvent("onMSVideoFormatChanged", handler)</td>
  </tr>
  <tr>
   <td>addEventListener Method</td>
   <td>object.addEventListener("", handler, useCapture)</td>
  </tr>
 </tbody>
</table>

<h2 id="Event_handler">Event handler parameters</h2>

<ul>
 <li>val[in], type=function</li>
</ul>

<h2 id="See_Also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/HTMLVideoElement">HTMLVideoElement</a></li>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
</ul>
